bearerAuth Bearer Token (JWT) | Recurso | Descripción |
|---|---|
| Ticket | Ticket operations |
| Comment | Comments operations |
| Attachment | Attachments operations |
| IssueLink | Issue links operations |
| IssueLinkTypes | Issue link types operations |
| Grid | Grid operations |
| IaSummary | IA Summary operations |
| IaDuration | |
| Remotelink |
bearerAuth Bearer Token (JWT) | Recurso | Descripción |
|---|---|
| Ticket | Ticket operations |
| Comment | Comments operations |
| Attachment | Attachments operations |
| IssueLink | Issue links operations |
| IssueLinkTypes | Issue link types operations |
| Grid | Grid operations |
| IaSummary | IA Summary operations |
| IaDuration | |
| Remotelink |
Creates a ticket from a JSON representation.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
Json with ticket creation fields. See request ticket/metadata/create/properties.
{
"key": "INST-7902",
"project": "INST",
"ticketType": "Incidencia",
"description": "Cita - Cliente solicita contacto en fecha concreta - Y28257924",
"summary": "Cita - Y28257924",
"customFields": {
"segment": "Residencial",
"brand": "Yoigo",
"category": "Cita",
"subcategory": "Cliente solicita contacto en fecha concreta",
"work_order_id": "Y28257924"
}
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
key | string | Ticket key reference. | |||||||
project | string | Project key. RED, PROV, INST, etc. See Field Information request to query available values and field information. | |||||||
ticketType | string | Ticket type. You can query available values using Get Ticket Types request. | |||||||
summary | string | A simple summary for the ticket. | |||||||
description | string | A detail description for the ticket. | |||||||
components | string[] | Components list. See Field Information request to query available values and field information. | |||||||
customFields | object | Object containing extra custom fields depending on ticket typology | |||||||
| |||||||||
Created Entity has been created succesfully.
{
"id": 3645,
"key": "INST-1341"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | integer | Ticket ID | ||
key | string | Ticket Key. You could reference the ticket by its key or by ID |
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X POST 'https://ticketing.sta.masstack.com/v2/orgs/yoigo/ticket' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"key": "INST-7902",
"project": "INST",
"ticketType": "Incidencia",
"description": "Cita - Cliente solicita contacto en fecha concreta - Y28257924",
"summary": "Cita - Y28257924",
"customFields": {
"segment": "Residencial",
"brand": "Yoigo",
"category": "Cita",
"subcategory": "Cliente solicita contacto en fecha concreta",
"work_order_id": "Y28257924"
}
}' Returns a full representation of the ticket for the given key.
PATH PARAMETERS
The ticket id in MasMovil ticketing tool. You can use either ID or KEY.
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
Filter for ticket response body. (You must add 'attachment' query param to get ticket attachments in response body)
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK Full representation of the ticket
{
"key": "INST-7902",
"project": "INST",
"ticketType": "Incidencia",
"description": "Cita - Cliente solicita contacto en fecha concreta - Y28257924",
"summary": "Cita - Y28257924",
"customFields": {
"segment": "Residencial",
"brand": "Yoigo",
"category": "Cita",
"subcategory": "Cliente solicita contacto en fecha concreta",
"work_order_id": "Y28257924"
}
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
key | string | Ticket key reference. | |||||||
project | string | Project key. RED, PROV, INST, etc. See Field Information request to query available values and field information. | |||||||
ticketType | string | Ticket type. You can query available values using Get Ticket Types request. | |||||||
summary | string | A simple summary for the ticket. | |||||||
description | string | A detail description for the ticket. | |||||||
components | string[] | Components list. See Field Information request to query available values and field information. | |||||||
customFields | object | Object containing extra custom fields depending on ticket typology | |||||||
| |||||||||
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/orgs/yoigo/ticket/:ticketId' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Edits a ticket from a JSON representation.
PATH PARAMETERS
The ticket id in MasMovil ticketing tool. You can use either ID or KEY.
Organization name as it is registered in Mas-Stack
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
Json with fields to update. See request /ticket/{ticketId}/metadata/update/properties.
{
"key": "INST-7902",
"project": "INST",
"ticketType": "Incidencia",
"description": "Cita - Cliente solicita contacto en fecha concreta - Y28257924",
"summary": "Cita - Y28257924",
"customFields": {
"segment": "Residencial",
"brand": "Yoigo",
"category": "Cita",
"subcategory": "Cliente solicita contacto en fecha concreta",
"work_order_id": "Y28257924"
}
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
key | string | Ticket key reference. | |||||||
project | string | Project key. RED, PROV, INST, etc. See Field Information request to query available values and field information. | |||||||
ticketType | string | Ticket type. You can query available values using Get Ticket Types request. | |||||||
summary | string | A simple summary for the ticket. | |||||||
description | string | A detail description for the ticket. | |||||||
components | string[] | Components list. See Field Information request to query available values and field information. | |||||||
customFields | object | Object containing extra custom fields depending on ticket typology | |||||||
| |||||||||
No Content No content
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X PATCH 'https://ticketing.sta.masstack.com/v2/orgs/yoigo/ticket/:ticketId' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"key": "INST-7902",
"project": "INST",
"ticketType": "Incidencia",
"description": "Cita - Cliente solicita contacto en fecha concreta - Y28257924",
"summary": "Cita - Y28257924",
"customFields": {
"segment": "Residencial",
"brand": "Yoigo",
"category": "Cita",
"subcategory": "Cliente solicita contacto en fecha concreta",
"work_order_id": "Y28257924"
}
}' This method allows you search ticket by JQL (Jira Query Language)
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
jql query
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK Ticket Search response
{
"startAt": 0,
"maxResults": 50,
"total": 3,
"tickets": [
{
"key": "INST-7902",
"project": "INST",
"ticketType": "Incidencia",
"description": "Cita - Cliente solicita contacto en fecha concreta - Y28257924",
"summary": "Cita - Y28257924",
"customFields": {
"segment": "Residencial",
"brand": "Yoigo",
"category": "Cita",
"subcategory": "Cliente solicita contacto en fecha concreta",
"work_order_id": "Y28257924"
}
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
startAt | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||
maxResults | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||
total | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||
tickets | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/orgs/yoigo/search/ticket?jql=string' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' This method allows you to search tickets filtering and ordering as you need.<br> Special opeators are allowed $like: value<br> $in: [array]<br> $notIn: [array]<br> $isEmpty: ""<br> $greaterThanEquals: value<br> $greaterThan: value<br> $lessThanEquals: value<br> $lessThan: value<br> Field names used in filters can be both Jira field name or MAS-Ticketing-API name, i.e. you can use "customerDocument" or "Documento Cliente".
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
Filters to apply to search query
{
"filters": {
"project": "MAS",
"issuetype": {
"$in": [
"Avería (FTTH)",
"Avería (xDSL)"
]
},
"status": {
"$notIn": [
"Resolved",
"Descartado",
"CLOSE"
]
},
"massiveFaults": {
"$isNotEmpty": ""
}
},
"orderby": {
"fields": [
"status desc"
]
},
"startAt": 0,
"maxResults": 100
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
filters | object[] | Object array with fields you want filter by and its conditions | |||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||
orderby | object | fields to order by plus asc or desc orientation Exmpl. key desc | |||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||
fields | string[] | This property allows you filter the fields you want in the response body | |||||||||||||||||||||||||||||||||||||
startAt | integer | Start position in the complete result, you want as firt item in the response body | |||||||||||||||||||||||||||||||||||||
maxResults | integer | Numbers of items you want back | |||||||||||||||||||||||||||||||||||||
OK Ticket response
[
{
"key": "INST-7902",
"project": "INST",
"ticketType": "Incidencia",
"description": "Cita - Cliente solicita contacto en fecha concreta - Y28257924",
"summary": "Cita - Y28257924",
"customFields": {
"segment": "Residencial",
"brand": "Yoigo",
"category": "Cita",
"subcategory": "Cliente solicita contacto en fecha concreta",
"work_order_id": "Y28257924"
}
}
] | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
key | string | Ticket key reference. | |||||||
project | string | Project key. RED, PROV, INST, etc. See Field Information request to query available values and field information. | |||||||
ticketType | string | Ticket type. You can query available values using Get Ticket Types request. | |||||||
summary | string | A simple summary for the ticket. | |||||||
description | string | A detail description for the ticket. | |||||||
components | string[] | Components list. See Field Information request to query available values and field information. | |||||||
customFields | object | Object containing extra custom fields depending on ticket typology | |||||||
| |||||||||
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X POST 'https://ticketing.sta.masstack.com/v2/orgs/yoigo/search/ticket' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"filters": {
"project": "MAS",
"issuetype": {
"$in": [
"Avería (FTTH)",
"Avería (xDSL)"
]
},
"status": {
"$notIn": [
"Resolved",
"Descartado",
"CLOSE"
]
},
"massiveFaults": {
"$isNotEmpty": ""
}
},
"orderby": {
"fields": [
"status desc"
]
},
"startAt": 0,
"maxResults": 100
}' Performs a search returning tickets corresponding to the territory-owner in path
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK Search by territory owner response
{
"startAt": 0,
"maxResults": 50,
"total": 3,
"tickets": [
{
"key": "INST-7902",
"project": "INST",
"ticketType": "Incidencia",
"description": "Cita - Cliente solicita contacto en fecha concreta - Y28257924",
"summary": "Cita - Y28257924",
"customFields": {
"segment": "Residencial",
"brand": "Yoigo",
"category": "Cita",
"subcategory": "Cliente solicita contacto en fecha concreta",
"work_order_id": "Y28257924"
}
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
startAt | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||
maxResults | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||
total | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||
tickets | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/orgs/yoigo/searchByTerritoryOwner' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Performs a search returning tickets based on ID parameters. At least one of the following parameters must be provided: customer_id, work_order_id, line, or document_id.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
Customer ID to search for tickets
Work Order ID to search for tickets
Line number to search for tickets
Document ID to search for tickets
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK Search by ID parameters response
{
"startAt": 0,
"maxResults": 50,
"total": 3,
"tickets": [
{
"key": "INST-7902",
"project": "INST",
"ticketType": "Incidencia",
"description": "Cita - Cliente solicita contacto en fecha concreta - Y28257924",
"summary": "Cita - Y28257924",
"customFields": {
"segment": "Residencial",
"brand": "Yoigo",
"category": "Cita",
"subcategory": "Cliente solicita contacto en fecha concreta",
"work_order_id": "Y28257924"
}
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
startAt | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||
maxResults | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||
total | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||
tickets | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/orgs/yoigo/searchByIDParams?customer_id=12345&work_order_id=WO123456&line=678900000&document_id=12345678X' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Get information about allowed transitions for a ticket, depending on current status.
PATH PARAMETERS
The ticket id in MasMovil ticketing tool. You can use either ID or KEY.
Organization name as it is registered in Mas-Stack
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK Transitions response
[
[
{
"id": 41,
"name": "Reasignar",
"status": "Asignado"
},
{
"id": 21,
"name": "Resolver",
"status": "RESUELTO"
}
]
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | integer | Transition Id | ||
name | string | Transitions name | ||
status | string | Status destination |
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/orgs/yoigo/ticket/:ticketId/transitions' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' This method allows you to execute a transition, i.e. change ticket status.
PATH PARAMETERS
The ticket id in MasMovil ticketing tool. You can use either ID or KEY.
Organization name as it is registered in Mas-Stack
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
{
"transitionId": 111,
"customFields": {
"external_system_name": "Orange",
"external_system_info": "Prueba de escalado externo via API de robot",
"external_system_category": "Instalación"
}
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
transitionId* | integer | Transition Id reference to operate with. | |||||||
status | string | Status name reference to operate with. It´s optional, you can reference by transitionId or status | |||||||
customFields | object | Custom fields to update during the transition. Use actual Jira custom field names as properties (e.g., external_system_name, external_system_info, solution_detail, etc.). Only fields allowed by the specific transition will be processed. | |||||||
| |||||||||
No Content No content
curl -X POST 'https://ticketing.sta.masstack.com/v2/orgs/yoigo/ticket/:ticketId/transitions' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Content-Type: application/json' \
--data-raw '{
"transitionId": 111,
"customFields": {
"external_system_name": "Orange",
"external_system_info": "Prueba de escalado externo via API de robot",
"external_system_category": "Instalación"
}
}' Assign a ticket to some user
PATH PARAMETERS
The ticket id in MasMovil ticketing tool. You can use either ID or KEY.
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
{
"assignee": "admin.micro"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
assignee | string | user id, username o email. |
No Content No content
curl -X PUT 'https://ticketing.sta.masstack.com/v2/ticket/:ticketId/assignee' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Content-Type: application/json' \
--data-raw '{
"assignee": "admin.micro"
}' Get information about fields needed to create a given type of ticket
QUERY PARAMETERS
The project key in MasMovil ticketing tool
The ticket type in MasMovil ticketing tool
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK Fields for ticket type
{
"subscriptionNumber": {
"required": true,
"name": "Suscripción"
},
"icc": {
"required": false,
"name": "ICC"
},
"contactEmail": {
"required": false,
"name": "Email del Cliente"
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
subscriptionNumber | object | Field example | |||||||||||||||||
| |||||||||||||||||||
icc | object | Field example | |||||||||||||||||
| |||||||||||||||||||
contactEmail | object | Field example | |||||||||||||||||
| |||||||||||||||||||
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/ticket/metadata/create/properties?projectKey=string&ticketType=string' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Get information about editable fields.
PATH PARAMETERS
The ticket id in MasMovil ticketing tool. You can use either ID or KEY.
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK Editable Fields for ticket
{
"description": {
"name": "Descripción"
},
"customerPostalCode": {
"name": "Código Postal"
},
"customerSegment": {
"name": "Segmento Cliente",
"allowedValues": [
{
"value": "EMPRESA"
},
{
"value": "RESIDENCIAL"
},
{
"value": "HORECA"
},
{
"value": "AUTONOMO"
}
]
}
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
description | object | Field example | ||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||
customerPostalCode | object | Field example | ||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||
customerSegment | object | Field example | ||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/ticket/:ticketId/metadata/update/properties' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Get information about ticket types per project
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK Get ticket types
[
[
{
"projectKey": "EKT",
"name": "Euskaltel",
"issuetypes": [
{
"name": "Aviso de llamada perdida",
"description": "Incidencia-Servicios"
},
{
"name": "Contestador",
"description": "Incidencia-Servicios"
},
{
"name": "No salta el aviso de saldo",
"description": "Incidencia-Servicios"
}
]
},
{
"projectKey": "MM",
"name": "MásMóvil Customer Care",
"issuetypes": [
{
"name": "Problemas TV",
"description": "Incidencia"
},
{
"name": "Desacuerdo con la cuota de TV",
"description": "Incidencia"
},
{
"name": "Bloqueo por IMEI-Tarea",
"description": "Tarea-Móvil"
}
]
}
]
] | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
projectKey | string | Project key reference | |||||||||||||||||
name | string | Project name | |||||||||||||||||
issuetypes | object[] | Issue types list with all types available | |||||||||||||||||
Array items:
| |||||||||||||||||||
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/ticket/metadata/types' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Get information about api names with api_name, customfield_id or jira_label params (Only one)
QUERY PARAMETERS
Search a field information with api name
Search a field information with customfield_id
Search a field information with the TGJira field name
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK Get field info successfully
{
"jira_label": "Huella",
"api_name": "track"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
jira_label | string | |||
api_name | string |
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/ticket/field/info?api_name=track&customfield_id=customfield_12800&jira_label=Huella' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' This method allows you to add a comment in a ticket
PATH PARAMETERS
The ticket id in MasMovil ticketing tool. You can use either ID or KEY.
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
Properties ticketId and body are mandatory.
{
"ticketId": "INST-3241",
"author": "javier.fernandezh@masmovil.com",
"body": "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
ticketId | string | Ticket Id | ||
author | string | Comment author, must match with ticketing provider user. | ||
body* | string | The text you want to add as a comment to the ticket |
Created Created
{
"ticketId": "INST-3241",
"author": "javier.fernandezh@masmovil.com",
"body": "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
ticketId | string | Ticket Id | ||
author | string | Comment author, must match with ticketing provider user. | ||
body* | string | The text you want to add as a comment to the ticket |
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X POST 'https://ticketing.sta.masstack.com/v2/ticket/:ticketId/comment' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"ticketId": "INST-3241",
"author": "javier.fernandezh@masmovil.com",
"body": "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."
}' Attach a file in a specific ticket
PATH PARAMETERS
The ticket id in MasMovil ticketing tool. You can use either ID or KEY.
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
The properties ticketId, name and data are required. Data must be base64 encoded.
{
"name": "MYSIM_3847484.pdf",
"data": "/9j/4AAQSkZJRgABAQAAAQABAAD/2wCEAAkGBxITEhUSEhMVFhUXGBcVFxUVFRUVF...",
"mimeType": "image/jpeg"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name* | string | File name | ||
data* | string | File content in base64 format | ||
mimeType | string | The file mime type. See https://docs.w3cub.com/http/basics_of_http/mime_types/complete_list_of_mime_types |
Created Attachment Created synchronous response
{
"self": "https://mas-ticketing-sta.dev-01.k8s.masmovil.com/mas-ticketing-api/ticket/73232/attachment/24819",
"content": "https://mas-ticketing-sta.dev-01.k8s.masmovil.com/mas-ticketing-api/ticket/73232/attachment/24819/MYSIM_398171_53e82c60-075c-42ab-af94-868ef8b80071.pdf",
"filename": "MYSIM_398171_53e82c60-075c-42ab-af94-868ef8b80071.pdf",
"created": "2022-01-13T09:20:22.556+0000",
"mimeType": "multipart/form-data; charset=UTF-8",
"size": 5576
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
self | string | The URL of the attachment metadata details. | ||
content | string | The URL of the attachment. | ||
filename | string | The name of the attachment file. there is not much more to say | ||
created | string | The datetime the attachment was created. | ||
size | integer | The size of the attachment. |
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X POST 'https://ticketing.sta.masstack.com/v2/ticket/:ticketId/attachment' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"name": "MYSIM_3847484.pdf",
"data": "/9j/4AAQSkZJRgABAQAAAQABAAD/2wCEAAkGBxITEhUSEhMVFhUXGBcVFxUVFRUVF...",
"mimeType": "image/jpeg"
}' Get an attachment from specific ticket
PATH PARAMETERS
The ticket id in MasMovil ticketing tool. You can use either ID or KEY.
Attachment Id
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK Attachment GET response
{
"ticketId": "73232",
"name": "MYSIM_398171_53e82c60-075c-42ab-af94-868ef8b80071.pdf",
"attachmentId": "24819",
"base64": "/9j/4AAQSkZJRgABAQAAAQABAAD/..."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
ticketId | string | Ticket Id | ||
name | string | Attachment file name | ||
attachmentId | integer | Attachment Id | ||
base64 | string | Attachment content in base64 format |
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/ticket/:ticketId/attachment/:attachmentId' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Delete an attachment
PATH PARAMETERS
Attachment Id
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
No Content No content
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X DELETE 'https://ticketing.sta.masstack.com/v2/attachment/:attachmentId' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Create IssueLink for specific ticket
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
{
"id": "string",
"type": {
"name": "string"
},
"inwardIssue": {
"key": "string"
},
"outwardIssue": {
"key": "string"
}
} | Property | Type | Description | Constraints | Default | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | string | IssueLink Id | ||||||||||||
type | object | IssueLink type | ||||||||||||
| ||||||||||||||
inwardIssue | object | Issue origin reference | ||||||||||||
| ||||||||||||||
outwardIssue | object | Issue destination reference | ||||||||||||
| ||||||||||||||
Created issue link created successfully
{
"message": "issue link created successfully."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string |
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X POST 'https://ticketing.sta.masstack.com/v2/issueLink' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"id": "string",
"type": {
"name": "string"
},
"inwardIssue": {
"key": "string"
},
"outwardIssue": {
"key": "string"
}
}' Get IssueLink by id
PATH PARAMETERS
issue link id
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK Issue Link
{
"id": "string",
"type": {
"name": "string"
},
"inwardIssue": {
"key": "string"
},
"outwardIssue": {
"key": "string"
}
} | Property | Type | Description | Constraints | Default | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | string | IssueLink Id | ||||||||||||
type | object | IssueLink type | ||||||||||||
| ||||||||||||||
inwardIssue | object | Issue origin reference | ||||||||||||
| ||||||||||||||
outwardIssue | object | Issue destination reference | ||||||||||||
| ||||||||||||||
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/issueLink/:issueLinkId' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Delete IssueLink by id
PATH PARAMETERS
issue link id
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
No Content No content
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X DELETE 'https://ticketing.sta.masstack.com/v2/issueLink/:issueLinkId' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Available issue links types
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK get all IssueLinkTypes for specific issue
[
null
] Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/issueLinkType' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Get the issue links types for specific issue link
PATH PARAMETERS
issue link id
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK all IssueLinkTypes for specific issue
[
null
] Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/issueLinkType/:issueLinkId' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Update a line from the grid for a given ticket
PATH PARAMETERS
The ticket id in MasMovil ticketing tool. You can use either ID or KEY.
QUERY PARAMETERS
Custom field name as per mapped from customfield_id's
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
Data structure that modifies the specified columns from a given line of the grid (as per its row identificator)
[
{
"rowId": "row_94ba7042-c49b-4f53-971b-44549b9c08a0",
"columns": {
"key": "test"
}
}
] | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
rowId | string | Row identificator of the row to be modified | |||||||
columns | object | Object containing the names (key value pairs) of the columns to be modified | |||||||
| |||||||||
No Content No content
curl -X PUT 'https://ticketing.sta.masstack.com/v2/ticket/:ticketId/grid?customFieldName=workorder_index' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Content-Type: application/json' \
--data-raw '[
{
"rowId": "row_94ba7042-c49b-4f53-971b-44549b9c08a0",
"columns": {
"key": "test"
}
}
]' Returns the AI-generated summary for a given ticket without updating the ticket in the ticketing provider. The response includes the operative summary and the message for the client, as generated by the IA service.
Security: requires a valid Bearer JWT token. The token must carry the ticketing-mas.ticketing.access.allowed API access role and the ticketing.ticket.iaSummary operation permission. mTLS requests (without Authorization header) are also accepted.
PATH PARAMETERS
The ticket id in MasMovil ticketing tool. You can use either ID or KEY.
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK IA summary response
{
"operative_summary": "El cliente reporta fallo total de servicio FTTH desde el 12/02. Se ha realizado diagnóstico remoto sin resultado. Técnico desplazado el 14/02, detectó avería en la ONU. Pendiente reposición de equipo.",
"message_for_client": "Estamos trabajando en la resolución de su incidencia. Un técnico ha visitado su domicilio y hemos identificado el problema. Procederemos a la sustitución del equipo en los próximos días."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
operative_summary | string | AI-generated operative summary of the ticket, describing the current situation and actions taken. | ||
message_for_client | string | AI-generated message intended to be communicated to the client summarising the ticket status. |
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/ticket/:ticketId/ia/summary' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Returns the AI-predicted estimated resolution date for a given ticket. The prediction is calculated by adding the predicted minutes to the ticket creation date. The response includes the formatted estimated resolution date and the raw estimated minutes. Additionally, the endpoint updates the ticket's estimated_resolution_date custom field asynchronously.
Security: requires a valid Bearer JWT token. The token must carry the ticketing-mas.ticketing.access.allowed API access role and the ticketing.ticket.iaSummary operation permission. mTLS requests (without Authorization header) are also accepted.
PATH PARAMETERS
The ticket id in MasMovil ticketing tool. You can use either ID or KEY.
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
OK IA duration prediction response
{
"estimated_resolution_date": "15/04/2026 14:30",
"estimated_minutes": 301766.34
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
estimated_resolution_date | string | AI-predicted estimated resolution date formatted as dd/MM/yyyy HH:mm | ||
estimated_minutes | number (double) | Raw estimated minutes from ticket creation to resolution as predicted by the IA service. |
Bad Request Bad Request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detail message about the error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Not Found Not Found
{
"code": "0004",
"status": "NOT_FOUND",
"message": "Not found",
"detailMsg": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected Error",
"detailMsg": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | Error code number | ||
status | string | Status error | ||
message | string | Error message | ||
detailMsg | string | Message detail |
curl -X GET 'https://ticketing.sta.masstack.com/v2/ticket/:ticketId/ia/duration' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json' Create a remote link
HEADER PARAMETERS
Acronym identifying the underlying ticketing tool where the tickets are. JAM (Jira Amarillo) , JCC (Jira CC), TGJ (TGJira), JNEXT (JiraNext)
Created create a remote link
{
"message": "remote issue link created successfully."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string |
curl -X POST 'https://ticketing.sta.masstack.com/v2/remotelink' \
-H 'Authorization: Bearer {access-token}' \
-H 'ticketing-provider: string' \
-H 'Accept: application/json'